export default AsyncSelect;
/** @type {React.ComponentType<any>} */
declare class AsyncSelect extends React.PureComponent<any, any, any> {
    constructor(props: any);
    constructor(props: any, context: any);
    state: {
        searchTerm: string;
        pageNumber: number;
        options: never[];
        isLastPage: boolean;
        loading: boolean;
        cache: {};
    };
    componentDidMount(): void;
    componentDidUpdate(prevProps: any): void;
    handleInputChange: (searchTerm: any, inputActionMeta: any) => void;
    invalidateCache(): void;
    handleBlur: () => void;
    handleOptionsLoaded(options: any, cache: any): void;
    loadOptions: () => void;
    handleMenuScrollToBottom: () => void;
    render(): JSX.Element;
}
declare namespace AsyncSelect {
    const propTypes: React.WeakValidationMap<any> | undefined;
    const defaultProps: Partial<any> | undefined;
}
import React from "react";
